From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/dealii/
Date: Mon, 3 Aug 2015 12:35:12 +0000 (UTC) [thread overview]
Message-ID: <1438549978.d10b617c0e0f3b4954b083f62f4a656cdf45193a.jlec@gentoo> (raw)
commit: d10b617c0e0f3b4954b083f62f4a656cdf45193a
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 2 21:12:58 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Aug 2 21:12:58 2015 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=d10b617c
sci-libs/dealii - version bump
Package-Manager: portage-2.2.20
sci-libs/dealii/ChangeLog | 5 ++
sci-libs/dealii/dealii-8.3.0.ebuild | 123 ++++++++++++++++++++++++++++++++++++
2 files changed, 128 insertions(+)
diff --git a/sci-libs/dealii/ChangeLog b/sci-libs/dealii/ChangeLog
index 33cdaaa..7bd82a8 100644
--- a/sci-libs/dealii/ChangeLog
+++ b/sci-libs/dealii/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*dealii-8.3.0 (02 Aug 2015)
+
+ 02 Aug 2015; Matthias Maier <tamiko@gentoo.org> +dealii-8.3.0.ebuild:
+ version bump
+
03 Jul 2015; Matthias Maier <tamiko@gentoo.org> dealii-9999.ebuild:
sci-libs/dealii - change the recorded version and soversion in the live build
diff --git a/sci-libs/dealii/dealii-8.3.0.ebuild b/sci-libs/dealii/dealii-8.3.0.ebuild
new file mode 100644
index 0000000..f2617a7
--- /dev/null
+++ b/sci-libs/dealii/dealii-8.3.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit cmake-utils eutils multilib
+
+DESCRIPTION="Solving partial differential equations with the finite element method"
+HOMEPAGE="http://www.dealii.org/"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/dealii/dealii.git"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ MY_PV="${PV//0_rc/rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://github.com/dealii/dealii/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
+ doc? (
+ https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}-offline_documentation.tar.gz
+ -> ${P}-offline_documentation.tar.gz
+ http://ganymed.iwr.uni-heidelberg.de/~maier/dealii/releases/${MY_P}-offline_documentation.tar.gz
+ -> ${P}-offline_documentation.tar.gz
+ )"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="
+ arpack cpu_flags_x86_avx cpu_flags_x86_sse2 c++11 +debug doc +examples
+ hdf5 +lapack mesh_converter metis mpi muparser opencascade
+ netcdf p4est parameter_gui petsc +sparse static-libs +tbb trilinos
+"
+
+# TODO: add slepc use flag once slepc is packaged for gentoo-science
+REQUIRED_USE="
+ p4est? ( mpi )
+ trilinos? ( mpi )"
+
+RDEPEND="dev-libs/boost
+ app-arch/bzip2
+ sys-libs/zlib
+ arpack? ( sci-libs/arpack[mpi=] )
+ hdf5? ( sci-libs/hdf5[mpi=] )
+ lapack? ( virtual/lapack )
+ metis? ( >=sci-libs/parmetis-4 )
+ mpi? ( virtual/mpi )
+ muparser? ( dev-cpp/muParser )
+ netcdf? ( sci-libs/netcdf-cxx:0 )
+ opencascade? ( sci-libs/opencascade:* )
+ p4est? ( sci-libs/p4est[mpi] )
+ parameter_gui? ( dev-qt/qtgui:4 )
+ petsc? ( sci-mathematics/petsc[mpi=] )
+ sparse? ( sci-libs/umfpack )
+ tbb? ( dev-cpp/tbb )
+ trilinos? ( sci-libs/trilinos )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen[dot] dev-lang/perl )"
+
+src_configure() {
+ # deal.II needs a custom build type:
+ local CMAKE_BUILD_TYPE=$(usex debug DebugRelease Release)
+
+ local mycmakeargs=(
+ -DDEAL_II_PACKAGE_VERSION=9999
+ -DDEAL_II_ALLOW_AUTODETECTION=OFF
+ -DDEAL_II_ALLOW_BUNDLED=OFF
+ -DDEAL_II_ALLOW_PLATFORM_INTROSPECTION=OFF
+ -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF
+ -DDEAL_II_LIBRARY_RELDIR="$(get_libdir)"
+ -DDEAL_II_SHARE_RELDIR="share/${PN}"
+ -DDEAL_II_DOCREADME_RELDIR="share/doc/${P}"
+ -DDEAL_II_EXAMPLES_RELDIR="share/doc/${P}/examples"
+ -DDEAL_II_WITH_BZIP2=ON
+ -DDEAL_II_WITH_ZLIB=ON
+ $(cmake-utils_use arpack DEAL_II_WITH_ARPACK)
+ $(cmake-utils_use c++11 DEAL_II_WITH_CXX11)
+ $(cmake-utils_use cpu_flags_x86_avx DEAL_II_HAVE_AVX)
+ $(cmake-utils_use cpu_flags_x86_sse2 DEAL_II_HAVE_SSE2)
+ $(cmake-utils_use doc DEAL_II_COMPONENT_DOCUMENTATION)
+ $(cmake-utils_use examples DEAL_II_COMPONENT_EXAMPLES)
+ $(cmake-utils_use hdf5 DEAL_II_WITH_HDF5)
+ $(cmake-utils_use lapack DEAL_II_WITH_LAPACK)
+ $(cmake-utils_use mesh_converter DEAL_II_COMPONENT_MESH_CONVERTER)
+ $(cmake-utils_use metis DEAL_II_WITH_METIS)
+ $(cmake-utils_use mpi DEAL_II_WITH_MPI)
+ $(cmake-utils_use muparser DEAL_II_WITH_MUPARSER)
+ $(cmake-utils_use netcdf DEAL_II_WITH_NETCDF)
+ -DOPENCASCADE_DIR="${CASROOT}"
+ $(cmake-utils_use opencascade DEAL_II_WITH_OPENCASCADE)
+ $(cmake-utils_use p4est DEAL_II_WITH_P4EST)
+ $(cmake-utils_use parameter_gui DEAL_II_COMPONENT_PARAMETER_GUI)
+ $(cmake-utils_use petsc DEAL_II_WITH_PETSC)
+ $(cmake-utils_use sparse DEAL_II_WITH_UMFPACK)
+ $(cmake-utils_use !static-libs BUILD_SHARED_LIBS)
+ $(cmake-utils_use static-libs DEAL_II_PREFER_STATIC_LIBS)
+ $(cmake-utils_use tbb DEAL_II_WITH_THREADS)
+ $(cmake-utils_use trilinos DEAL_II_WITH_TRILINOS)
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ if use doc && [[ ${PV} != *9999* ]]; then
+ # copy missing images to the build directory:
+ cp -r "${WORKDIR}"/doc/doxygen/deal.II/images \
+ "${BUILD_DIR}"/doc/doxygen/deal.II || die
+ # replace links:
+ sed -i \
+ 's#"http://www.dealii.org/images/steps/developer/\(step-.*\)"#"images/\1"#g' \
+ "${BUILD_DIR}"/doc/doxygen/deal.II/step_*.html || die "sed failed"
+ fi
+ cmake-utils_src_install
+
+ # decompress the installed example sources:
+ use examples && docompress -x /usr/share/doc/${PF}/examples
+}
next reply other threads:[~2015-08-03 12:35 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-03 12:35 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-08-05 6:52 [gentoo-commits] proj/sci:master commit in: sci-libs/dealii/ Matthias Maier
2019-08-02 1:05 Matthias Maier
2019-05-22 17:33 Matthias Maier
2019-04-25 23:51 Matthias Maier
2018-10-11 21:47 Matthias Maier
2018-05-24 2:26 Matthias Maier
2018-05-24 1:21 Matthias Maier
2018-05-13 20:01 Matthias Maier
2018-05-11 22:16 Matthias Maier
2018-05-11 22:16 Matthias Maier
2018-03-19 18:11 Matthias Maier
2017-12-26 12:22 Matthias Maier
2017-10-07 18:28 Matthias Maier
2017-08-14 16:57 Matthias Maier
2017-06-18 13:04 Matthias Maier
2017-04-11 14:50 Marius Brehler
2017-04-11 14:50 Marius Brehler
2017-04-11 14:50 Marius Brehler
2017-03-16 19:35 Justin Lecher
2016-09-06 0:18 Christoph Junghans
2016-07-12 19:57 Marius Brehler
2016-07-12 19:57 Marius Brehler
2016-04-23 23:21 Christoph Junghans
2016-04-23 23:21 Christoph Junghans
2015-08-27 15:01 Justin Lecher
2015-08-03 12:35 Justin Lecher
2015-07-10 3:59 Nicolas Bock
2015-06-06 10:23 Justin Lecher
2015-06-06 10:23 Justin Lecher
2015-03-29 10:24 Justin Lecher
2015-01-31 20:19 Christoph Junghans
2015-01-22 0:09 Christoph Junghans
2015-01-22 0:09 Christoph Junghans
2015-01-15 6:53 Justin Lecher
2015-01-15 6:53 Justin Lecher
2015-01-01 15:26 Andrew Savchenko
2014-12-24 18:54 Christoph Junghans
2014-12-24 18:54 Christoph Junghans
2014-08-25 22:43 Christoph Junghans
2014-03-03 20:37 Sebastien Fabbro
2014-03-03 20:37 Sebastien Fabbro
2014-01-04 12:08 Justin Lecher
2014-01-04 12:08 Justin Lecher
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:13 Nicolas Bock
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1438549978.d10b617c0e0f3b4954b083f62f4a656cdf45193a.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox